get
https://hub.xyte.io/core/v1/organization/edges/devices/get_claim_status
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Polls the status of a claim previously initiated via Start Claim. The claim is identified by the device IP / Hostname address and the Edge used.
Authorization
This endpoint requires Authorization.
Query Parameters
| Key | Type | Description | Required |
|---|---|---|---|
| proxy_id | string | ID of the Edge through which the device is reachable. | Yes |
| device_ip | string | IP / Hostname address of the device being claimed. | Yes |
Response
200 OK
| Key | Type | Description |
|---|---|---|
| result | string | Current status of the claim process: pending/ success/ failed |
{
"result": "success"
}Errors
| Status | Description |
|---|---|
| 401 | Missing or invalid Authorization header. |
| 422 | device_ip not found or a claim has not been initiated for it. |
422device_ip not found or a claim has not been initiated for it.
422device_ip not found or a claim has not been initiated for it.
